// geom.h


// Copyright (C) 1997  Cliff Johnson                                       //
//                                                                         //
// This program is free software; you can redistribute it and/or           //
// modify it under the terms of the GNU  General Public                    //
// License as published by the Free Software Foundation; either            //
// version 2 of the License, or (at your option) any later version.        //
//                                                                         //
// This software is distributed in the hope that it will be useful,        //
// but WITHOUT ANY WARRANTY; without even the implied warranty of          //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       //
// General Public License for more details.                                //
//                                                                         //
// You should have received a copy of the GNU General Public License       //
// along with this software (see COPYING); if not, write to the        //
// Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. //


#ifndef _GEOM_HPP_
#define _GEOM_HPP_

class Point;

class Geom 
{
private:
  int type;

public:

  Geom(int t){ type = t; }
  int Type() const { return type; }

  virtual ~Geom() {}  // necessary because some containters hold derived classes using
		      // pointers to this base class
  virtual double Distance(const Point&) const = 0;
};

#endif
