//geom_enum.h

// Copyright (C) 1997  Cliff Johnson                                       //
//                                                                         //
// This program is free software; you can redistribute it and/or           //
// modify it under the terms of the GNU  General Public                    //
// License as published by the Free Software Foundation; either            //
// version 2 of the License, or (at your option) any later version.        //
//                                                                         //
// This software is distributed in the hope that it will be useful,        //
// but WITHOUT ANY WARRANTY; without even the implied warranty of          //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       //
// General Public License for more details.                                //
//                                                                         //
// You should have received a copy of the GNU General Public License       //
// along with this software (see COPYING); if not, write to the        //
// Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. //



#ifndef GEOM_ENUM_H
#define GEOM_ENUM_H

// colors
enum {
// entity types
	POINT=1,
	LINE,
	CIRCLE,
	SEGMENT,
	ARC,
	ELLIPSE,
	CURVE,
	GROUP,
	
// modifiers
  	GL2D_MIDPOINT = 90,
	GL2D_ENDPOINT,
	GL2D_CENTER,
	GL2D_NEAREST,

// parametizations
	PARAMETRIC=100,
	POLAR,
	


// solver errors
        LINE_IS_VERTICAL=300,
        ERROR_NORMALIZE_EXPLICIT_FORM,
        PARALLEL_LINES,
        DEGENERATE_LINE,
        SYNTAX_ERROR,
	INVALID_SELECTION_TYPE,
	POINTS_ARE_EQUAL,
	POINT_COINCIDENT_WITH_CIRCLE_CENTER,
	POINT_INSIDE_CIRCLE,
	SEVERE_DEGENERATE_CONDITION,
	COINCIDENT_CIRCLE_CENTERS,
	CIRCLE_INSIDE_CIRCLE,
	DEGENERATE_CIRCLE,
	POINTS_ARE_COLINEAR,
	NO_SOLUTIONS,
	INFINITE_SOLUTIONS
	

	
};


#endif
