// drawablecircle.h

// Copyright (C) 1997  Cliff Johnson                                       //
//                                                                         //
// This program is free software; you can redistribute it and/or           //
// modify it under the terms of the GNU  General Public                    //
// License as published by the Free Software Foundation; either            //
// version 2 of the License, or (at your option) any later version.        //
//                                                                         //
// This software is distributed in the hope that it will be useful,        //
// but WITHOUT ANY WARRANTY; without even the implied warranty of          //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       //
// General Public License for more details.                                //
//                                                                         //
// You should have received a copy of the GNU General Public License       //
// along with this software (see COPYING); if not, write to the        //
// Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. //

#ifndef DRAWABLECIRCLE_H
#define DRAWABLECIRCLE_H

#include <drawablegeom.h>

class DrawableCircle:public DrawableGeom
{

public:
	DrawableCircle();
	virtual void Draw(const Geom*, const float& scale) const;
	virtual void Select(const Geom*, const Handle&, const float& scale) const ;
};

#endif
